Bug 1203390 (CVE-2022-37703)

Summary: VUL-0: CVE-2022-37703: amanda: information leak vulnerability in the calcsize SUID binary
Product: [Novell Products] SUSE Security Incidents Reporter: Thomas Leroy <thomas.leroy>
Component: IncidentsAssignee: Danilo Spinella <danilo.spinella>
Status: NEW --- QA Contact: Security Team bot <security-team>
Severity: Minor    
Priority: P3 - Medium CC: danilo.spinella, security-team, stoyan.manolov
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/342249/
Whiteboard: CVSSv3.1:SUSE:CVE-2022-37703:4.0:(AV:L/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N)
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Thomas Leroy 2022-09-14 07:31:50 UTC
CVE-2022-37703

In Amanda 3.5.1, an information leak vulnerability was found in the calcsize
SUID binary. An attacker can abuse this vulnerability to know if a directory
exists or not anywhere in the fs. The binary will use `opendir()` as root
directly without checking the path, letting the attacker provide an arbitrary
path.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2022-37703
https://www.cve.org/CVERecord?id=CVE-2022-37703
https://github.com/MaherAzzouzi/CVE-2022-37703
http://www.amanda.org/
Comment 1 Thomas Leroy 2022-09-14 07:33:11 UTC
No fix upstream afaics

Affected:
- SUSE:SLE-11:Update
- openSUSE:Backports:SLE-15-SP3:Update
- openSUSE:Backports:SLE-15-SP4:Update
- openSUSE:Factory
Comment 2 Danilo Spinella 2022-10-12 13:05:58 UTC
Upstream report: https://github.com/zmanda/amanda/issues/192